"""
Send NTP requests by using the ntplib library
(it should be insalled by the 'pip install ntplib'command).
The result will be sent to the auxiliary LCD display through
the virtual serial port (COM5 is in our case).
"""

import ntplib
import time
import serial

# configure the serial port
ser = serial.Serial(
    port='COM5',
    baudrate=9600,
    parity=serial.PARITY_NONE,
    stopbits=serial.STOPBITS_ONE,
    bytesize=serial.EIGHTBITS,
    timeout=1
)

# Connect to the NTP server and get the current time
client = ntplib.NTPClient()

while True:
  response = client.request('pool.ntp.org')

  # Convert the time to a readable format
  timestamp = response.tx_time
  local_time = time.localtime(timestamp)

  # Use the strftime function to format the time and date
  formatted_time = time.strftime('%Y. %b. %d.#%a %H:%M:%S \r\n', local_time)
  print(formatted_time)
  ser.write(formatted_time.encode())
  ser.flush()
  # wait for the text to be displayed on the LCD
  time.sleep(10)


